Erro ao instalar VirtualBox no Ubuntu 16.04


#1

Boa noite!

Estou com dificuldade pra instalar o VirtualBox. Primeiro, tentei instalar com:

~$ sudo apt-get install virtualbox

Mas deu o seguinte retorno:

Blockquote
Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da “Incoming”.
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
virtualbox : Depende: libvncserver1 (>= 0.9.10) mas não é instalável
Recomenda: virtualbox-qt (= 5.1.38-dfsg-0ubuntu1.16.04.3) mas não será instalado
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.

Depois dessa tentativa, segui as instruções apresentadas no site do VirtualBox. Mas, quando o processo de instalação finaliza, aparece a seguinte mensagem:

Blockquote
WARNING: The vboxdrv kernel module is not loaded. Either there is no module
available for the current kernel (4.4.0-143-generic) or it failed to
load. Please recompile the kernel module and install it by

       sudo /sbin/vboxconfig

     You will not be able to start VMs until this problem is fixed.

A saída do comando ‘sudo /sbin/vboxconfig’ é:

vboxdrv.sh: Stopping VirtualBox services.
vboxdrv.sh: Starting VirtualBox services.
vboxdrv.sh: Building VirtualBox kernel modules.
vboxdrv.sh: failed: Look at /var/log/vbox-setup.log to find out what went wrong.

There were problems setting up VirtualBox. To re-start the set-up process, run
/sbin/vboxconfig
as root.

erro

Alguém pode me dar alguma luz pra resolver esse problema?

O que seria ‘recompilar o módulo kernel’?

E uma coisa estranha: quando tento remover o VirtualBox, diz que “O pacote ‘virtualbox’ não está instalado, por isso não será removido”. Mas ele continua abrindo de boa…


#2

Consegui resolver o problema.

Minha sources.list estava incompleta.

Removi o programa e instalei de novo. Agora está funcionando de boa.